<?php
/*
Plugin Name: MyPolls
Version: 1.0
Description: Plugin pour faire des sondages sur sa gallerie 
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=181
*/

/* ----------------------------------------------------------------------

Author : grum@grum.dnsalias.com :: http://photos.grum.dnsalias.com

1.0   - 15/09/07 - 1ère version

:: TO DO
	* gestion plus coriace des utilisateurs ayant déjà voté (cookies ?) pour les sondages "publiques", l'adresse IP pouvant changer
	* gestion des langues
	* comptabiliser le nombre d'accès sur un sondage (accès sans vote, accès après vote)


   ---------------------------------------------------------------------- */
// pour faciliter le debug :o)
// ini_set('error_reporting', E_ALL);
// ini_set('display_errors', true);

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $prefixeTable, $user;


define('PLUGIN_DIR' , basename(dirname(__FILE__)));
define('PLUGIN_PATH' , PHPWG_PLUGINS_PATH . PLUGIN_DIR . '/');

define('PLUGIN_VERSION' , '1.0');


include_once("plugin_class.inc.php");

$obj = new MyPolls_Plugin();
$obj->load_config();
$obj->init($prefixeTable);

add_event_handler('get_admin_plugin_menu_links', array(&$obj, 'plugin_admin_menu') ); 
add_event_handler('loc_end_page_header', array(&$obj, 'Modifie_CSS'));
add_event_handler('loc_end_menubar' , array(&$obj, 'maj_menubar'));
add_event_handler('loc_end_section_init', array(&$obj, 'init_section_mypolls'));
add_event_handler('loc_end_index', array(&$obj, 'index_mypolls'));

set_plugin_data($plugin['id'], $obj)

?>
